package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tbk;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TbkMapper {

    int insert(Tbk record);

    int insertSelective(Tbk record);

    int updateByPrimaryKeySelective(Tbk record);

    int updateByPrimaryKey(Tbk record);

    int deleteByPrimaryKey(Tbk record);

    int deleteByIds(Collection<Object> collection);

    Tbk selectByPrimaryKey(Tbk record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tbk> dyncRead(Map<String, Object> dyncMap);

    Tbk selectByObjInfo(Tbk newtbk);

    List<Tbk> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr (@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tbk> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tbk> entities);
}